package com.uas.sso.web.shiro;

import org.apache.shiro.authc.AuthenticationToken;

import com.uas.sso.Token;

/**
 * <p>
 * shiro接口，sso 票据凭证
 * </p>
 * 
 */
public class SSOAuthenticationToken implements AuthenticationToken {

	private static final long serialVersionUID = 1L;

	/**
	 * <p>
	 * sso 访问票据
	 * </p>
	 * 
	 * {@link Token}
	 */
	private final Token token;

	public SSOAuthenticationToken(Token token) {
		this.token = token;
	}

	/**
	 * 实现父类，获取身份方法
	 */
	public Object getPrincipal() {
		return token;
	}

	/**
	 * 实现父类，获取凭证方法
	 */
	public Object getCredentials() {
		return token;
	}

}
